#include <SoftwareSerial.h> //Se añade la biblioteca para dar soporte a la comunicación serie

SoftwareSerial bt(10,11); //RX pin 10, TX pin 11 para la comunicación Bluetooth
//Conexiones al sensor
const byte pinecho = 2; 
const byte pinecho2 = 4;
const byte pintrig = 3;
const byte pintrig2 = 5;

int value1, value2;//variables realización gráfica

void setup() {
  Serial.begin(9600); //Configura la velocidad (baudios) para la comunicación serie.
  bt.begin(9600); //Configura la velocidad (baudios) para la comunicación serie del Bluetooth.
  //Se definen las entradas y las salidas de los pines del emisor
  pinMode(pintrig, OUTPUT);
  pinMode(pintrig2, OUTPUT);
  pinMode(pinecho, INPUT);
  pinMode(pinecho2, INPUT);
}

void loop() {
 //SENSOR1:
 long duration, distance;
 //Se envía una señal a traves del sensor1
 digitalWrite(pintrig, LOW);
 delayMicroseconds(2);
 digitalWrite(pintrig, HIGH);
 delayMicroseconds(10);
 digitalWrite(pintrig, LOW);
 duration =pulseIn(pinecho,HIGH);//Obtenemos el tiempo del sensor1
 distance = (duration/2)/29.1; ////Conversión tiempo-distancia sensor1
 value1=distance;
/*Se discierne entre la distancia 
del sensor1 es peligrosa y se envía 
por Bluetooth al Receptor para alertar si es necesario*/
  if(distance<5){
    //Serial.println("PELIGRO CERCANIA CHOQUE SENSOR 1");
    bt.print('0');
  }else if(distance<12){
    //Serial.println("POCA DISTANCIA SENSOR 1");
    bt.print('1');
  }else if(distance<20){
   //Serial.println("BUEN RANGO SENSOR 1");
    bt.print('2');
  }else if(distance>=20){
    //Serial.println("TODO OK SENSOR 1");
    bt.print('3');
  }else if (distance >= 500){
   //Serial.println("Out of range sensors 1");
    bt.print('4');
  } 
 /*Se estima un delay de 2,5s,
 teniendo en cuenta que es tiempo necesario para que sea envíado
 y procesado al Receptor y no se quede almacenado los datos*/
  delay(2500);
  
  //SENSOR2:
 long duration2, distance2;
  //Se envía una señal a traves del sensor2
 digitalWrite(pintrig2, LOW);
 delayMicroseconds(2);
 digitalWrite(pintrig2, HIGH);
 delayMicroseconds(10);
 digitalWrite(pintrig2, LOW);
 duration2 =pulseIn(pinecho2,HIGH); //Obtenemos el tiempo del sensor2
 distance2 = (duration2/2)/29.1;//Conversión tiempo-distancia sensor2
 value2=distance2;
/*Se discierne entre la distancia 
del sensor2 es peligrosa y se envía 
por Bluetooth al Receptor para alertar si es necesario*/  
  if(distance2<5){
    //Serial.println("PELIGRO CERCANIA CHOQUE SENSOR 2");
    bt.print('5');
  }else if(distance2<12){
    //Serial.println("POCA DISTANCIA SENSOR 2");
    bt.print('6');
  }else if(distance2<20){
    //Serial.println("BUEN RANGO SENSOR 2");
    bt.print('7');
  }else if(distance2>=20){
    //Serial.println("TODO OK SENSOR 2");
    bt.print('8');
  }else if (distance2 >= 500){
    //Serial.println("Out of range sensors 2");
    bt.print('9');
  } 
  //Se muestra por el plotter las dos variables con el valor de los sensores para la realización de pruebas
  Serial.print(value1);
  Serial.print(",");
  Serial.println(value2);
  delay(2500); /*Se estima un delay de 2,5s,
 teniendo en cuenta que es tiempo necesario para que sea envíado
 y procesado al Receptor y no se quede almacenado los datos*/
 
}
